Summary:	S/Key suite of programs
Summary(pl.UTF-8):	Zestaw programów do uwierzytelniania metodą S/Key
Name:		skey
Version:	2.2
Release:	15
License:	BSD
Group:		Base/Authentication and Authorization
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/security/%{name}-%{version}.tar.gz
# Source0-md5:	c6ac90d37ac4b847e96a0a9ea8f34a6e
Patch0:		%{name}-shared.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The S/Key suite of programs.

S/Key provides one-time password-based authentication using the RSA
Data Security, Inc. MD5 Message-Digest Algorithm (licensed for
redistribution by RSA). This technology is based on key-challenge
authentication via key checksums and does not contain any
strong-encryption algorithms. This code may be exported freely out of
the United States.

%description -l pl.UTF-8
Zestaw programów do S/Key.

S/Key dostarcza system uwierzytelniania oparty na hasłach
jednorazowych z użyciem algorytmu skrótu MD5 RSA Data Security. Ta
technika opiera się na uwierzytelnianiu key-challenge poprzez sumy
kontrolne kluczy i nie zawiera silnej kryptografii - tak więc kod może
być eksportowany poza USA.

%package devel
Summary:	Headers for developing S/Key enabled programs
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów używających S/Key
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	filesystem >= 3.0-11

%description devel
Headers for developing S/Key enabled programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów używających S/Key.

%package static
Summary:	Static S/Key libraries
Summary(pl.UTF-8):	Statyczne biblioteki S/Key
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static S/Key libraries.

%description static -l pl.UTF-8
Statyczne biblioteki S/Key.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5},%{_libdir},%{_includedir}/security}

install key/key keyinit/keyinit keyinfo/keyinfo $RPM_BUILD_ROOT%{_bindir}
install libskey/skey.h $RPM_BUILD_ROOT%{_includedir}/security
install libskey/libskey.a $RPM_BUILD_ROOT%{_libdir}
install libskey/libskey.so.*.* $RPM_BUILD_ROOT%{_libdir}

ln -sf libskey.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libskey.so
ln -sf libskey.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libskey.so.2

install {key,keyinfo,keyinit,libskey}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install libskey/*.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/key
%attr(755,root,root) %{_bindir}/keyinfo
%attr(755,root,root) %{_bindir}/keyinit
%attr(755,root,root) %{_libdir}/libskey.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libskey.so.2
%{_mandir}/man1/key.1*
%{_mandir}/man1/keyinfo.1*
%{_mandir}/man1/keyinit.1*
%{_mandir}/man1/skey.1*
%{_mandir}/man5/skey.access.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libskey.so
%{_includedir}/security/skey.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libskey.a
%changelog
* Sat Jan 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/skey.git;a=log;h=master

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> bd45804
- verbose bin, lib, man files
- pl fixes
- License is BSD

* Fri Jan 17 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8e45c20
- pass LDFLAGS
- ghost soname symlink
- rel 15

* Fri Jan 17 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 74b30cb
- pass LDFLAGS

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 27796d5
- rel 14

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8b47aed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 516d2e3
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 6105ce9
- strict internal deps

* Mon Nov 06 2006 Elan Ruusamäe <glen@pld-linux.org> f6d837d
- strict internal deps; rel 13

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 0ffd71a
- updated dep for /usr/include/security (FHS -> filesystem); release 12

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> fa18209
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Tue Nov 22 2005 Elan Ruusamäe <glen@pld-linux.org> f537f22
- group fix

* Sun May 29 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> fb9aa73
- rel 11; fixed skey linking with crypt; use __cc

* Sun May 29 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 13018fa
- libskey.so should be linked to libcrypt, fixed

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 5b12a2e
- spaces->tabs
- formatting

* Thu Jan 29 2004 Jacek Konieczny <jajcus@pld-linux.org> e4b21b7
- Release 10 (to build tagged)

* Mon Aug 25 2003 Mariusz Mazur <mmazur@pld-linux.org> bdc8e0b
- rel9 for ac

* Sat Jul 26 2003 Jakub Bogusz <qboosh@pld-linux.org> bffe347
- /usr/include/security dir moved to FHS; release 8

* Tue May 27 2003 trojan <trojan@pld-linux.org> 72f0b97
- added Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 77b5d7b
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 04 2003 mkochano <mkochano@pld-linux.org> a837a2e
- Release 7.1
- Own /usr/include/security directory.

